package com.huiju.estateagents.mapper;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.huiju.estateagents.entity.TaBuilding;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 项目表 Mapper 接口
 * </p>
 *
 * @author jobob
 * @since 2019-05-10
 */
@Mapper
public interface TaBuildingMapper extends BaseMapper<TaBuilding> {
    /**
     * 楼盘列表
     * @param page
     * @return
     */
    List<TaBuilding> buildingList(IPage<TaBuilding> page, @Param("Name") String name, @Param("Code")String code);


    List<TaBuilding> buildingAll();

    /**
     * 查询当前楼盘
     * @param buildingId
     * @return
     */
    TaBuilding selectBuilding(@Param("buildingId") String buildingId);
}
